DBM Struct Reference

`#include <sdbm.h>`

## Data Fields

int | dirf
int | pagf
int | flags
int | keyptr
off_t | maxbno
long | curbit
long | hmask
long | blkptr
long | blkno
long | pagbno
char | pagbuf [PBLKSIZ]
long | dirbno
char | dirbuf [DBLKSIZ]

## Detailed Description

Definition at line 20 of file sdbm.h.

## Field Documentation

long DBM::blkno

Definition at line 29 of file sdbm.h.

long DBM::blkptr

Definition at line 28 of file sdbm.h.

Referenced by getnext(), sdbm_firstkey(), and sdbm_prep().

long DBM::curbit

Definition at line 26 of file sdbm.h.

Referenced by getpage(), and makroom().

long DBM::dirbno

Definition at line 32 of file sdbm.h.

Referenced by getdbit(), sdbm_prep(), and setdbit().

char DBM::dirbuf[DBLKSIZ]

Definition at line 33 of file sdbm.h.

Referenced by getdbit(), sdbm_prep(), and setdbit().

int DBM::dirf

Definition at line 21 of file sdbm.h.

Referenced by getdbit(), sdbm_close(), sdbm_prep(), and setdbit().

int DBM::flags

Definition at line 23 of file sdbm.h.

Referenced by sdbm_prep().

long DBM::hmask

Definition at line 27 of file sdbm.h.

Referenced by getpage(), makroom(), and sdbm_prep().

int DBM::keyptr

Definition at line 24 of file sdbm.h.

Referenced by getnext(), sdbm_firstkey(), and sdbm_prep().

off_t DBM::maxbno

Definition at line 25 of file sdbm.h.

Referenced by sdbm_prep(), and setdbit().

long DBM::pagbno

Definition at line 30 of file sdbm.h.

Referenced by getnext(), getpage(), makroom(), sdbm_delete(), sdbm_firstkey(), sdbm_prep(), and sdbm_store().

char DBM::pagbuf[PBLKSIZ]

Definition at line 31 of file sdbm.h.

Referenced by getnext(), getpage(), makroom(), sdbm_delete(), sdbm_fetch(), sdbm_firstkey(), sdbm_prep(), and sdbm_store().

int DBM::pagf

Definition at line 22 of file sdbm.h.

Referenced by getnext(), getpage(), makroom(), sdbm_close(), sdbm_delete(), sdbm_firstkey(), sdbm_prep(), and sdbm_store().

The documentation for this struct was generated from the following file:

- ext/sdbm/sdbm.h